curl --request POST \
--url https://api.hubapi.com/crm/v4/associations/{fromObjectType}/{toObjectType}/batch/associate/default \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"from": {
"id": "<string>"
},
"to": {
"id": "<string>"
}
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"associationSpec": {
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 123
},
"from": {
"id": "<string>"
},
"to": {
"id": "<string>"
}
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Créer le type d’association par défaut (le plus générique) entre deux types d’objets
curl --request POST \
--url https://api.hubapi.com/crm/v4/associations/{fromObjectType}/{toObjectType}/batch/associate/default \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"from": {
"id": "<string>"
},
"to": {
"id": "<string>"
}
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"associationSpec": {
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 123
},
"from": {
"id": "<string>"
},
"to": {
"id": "<string>"
}
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Produits pris en charge
Portées requises
The access token received from the authorization server in the OAuth 2.0 flow.
Spécifie le type de l'objet source dans l'association.
Spécifie le type de l'objet cible dans l'association.
Show child attributes
successful operation
La réponse renvoyée après l'exécution d'une opération de lot sur des associations.
L'horodatage de la fin du processus de traitement par lots, au format ISO 8601.
Show child attributes
L'horodatage du début de l'exécution du processus de traitement par lots, au format ISO 8601.
Statut de la demande de traitement par lots : « EN ATTENTE », « TRAITEMENT », « ANNULÉ » ou « TERMINÉ ».
CANCELED, COMPLETE, PENDING, PROCESSING Show child attributes
Un objet contenant des liens pertinents relatifs à la demande de lot.
Show child attributes
Le nombre d'erreurs rencontrées lors du traitement par lot.
L'horodatage du lancement du processus de traitement par lots, au format ISO 8601.